Only in src/: Makefile.am
Only in src/: Makefile.ami
Only in src/: Makefile.bcc
Only in src/: Makefile.cyg
Only in src/: Makefile.dos
Only in src/: Makefile.emx
Only in src/: Makefile.gtk
Only in src/: Makefile.ibm
Only in src/: Makefile.in
Only in src/: Makefile.lcc
Only in src/: Makefile.lsl
diff --recursive --unified=5 src/Makefile.ros src-riscos/Makefile.ros
--- src/Makefile.ros	Sun Jan 20 17:56:48 2002
+++ src-riscos/Makefile.ros	Thu May 30 18:56:06 2002
@@ -1,90 +1,113 @@
-# Project: Angband 2.9.6
+# Project: Angband 3.0.0
+#
+# To use this makefile, the current working directory must be where
+# this makefile is (if this makefile is at "raFS::Temp.$.ang.src.makefile",
+# the CWD must be "raFS::Temp.$.ang.src").
 #
 # This makefile is for Acorn C rel. 5 (edit the CCFLAGS for rel.4).
 
 # Libraries:
-
 LIBS = C:o.Stubs DeskLib:o.DeskLib
 
 # Tools:
-
 CC = cc
 LD = link
 SQ = squeeze
 RM = remove
-tolua = lua/tolua
+tolua = lua.tolua
 
 # Flags:
-
-CCFLAGS = -throwback -Wand -depend !Depend
+CCFLAGS = -Wall -depend !Depend -throwback
 LDFLAGS = -aif
-SQFLAGS =
 
-LUAOBJS = \
-  lua.lapi.o lua.ldebug.o lua.lmem.o lua.lstrlib.o lua.lvm.o \
+# Lua object files
+LUAOBJS = lua.lapi.o lua.ldebug.o lua.lmem.o lua.lstrlib.o lua.lvm.o \
   lua.tolua_lb.o lua.lauxlib.o lua.ldo.o lua.lobject.o lua.ltable.o \
   lua.lzio.o lua.tolua_rg.o lua.lbaselib.o lua.lfunc.o lua.lparser.o \
   lua.ltests.o lua.tolua_bd.o lua.tolua_tm.o lua.lcode.o lua.lgc.o \
   lua.lstate.o lua.ltm.o lua.tolua_eh.o lua.tolua_tt.o lua.ldblib.o \
   lua.llex.o lua.lstring.o lua.lundump.o lua.tolua_gp.o
 
-TOLUAOBJS = \
-  lua.tolua.o lua.tolualua.o lua.liolib.o \
+# toLua object files
+TOLUAOBJS = lua.tolua.o lua.tolualua.o lua.liolib.o \
   $(LUAOBJS)
 
+# Lua package files:
+LUAPKGS = \
+  l-monst.c l-object.c l-player.c l-random.c l-ui.c l-misc.c l-spell.c
 
 # The standard object files:
-
-OBJS = \
-	z-util.o z-virt.o z-form.o z-rand.o z-term.o \
-	variable.o util.o cave.o \
-	object1.o object2.o monster1.o monster2.o \
-	xtra1.o xtra2.o spells1.o spells2.o \
-	melee1.o melee2.o files.o \
-	cmd1.o cmd2.o cmd3.o cmd4.o cmd5.o cmd6.o \
-	store.o birth.o \
-	save.o load.o \
-	wizard1.o wizard2.o \
-	generate.o dungeon.o init1.o init2.o \
-	randart.o \
-	main-ros.o main.o \
-	script.o use-obj.o tables.o \
-	l-monst.o l-object.o l-player.o l-random.o l-ui.o \
-	l-misc.o l-spell.o \
-	$(LUAOBJS)
+OBJS = z-util.o z-virt.o z-form.o z-rand.o z-term.o \
+  variable.o util.o cave.o \
+  object1.o object2.o monster1.o monster2.o \
+  xtra1.o xtra2.o spells1.o spells2.o \
+  melee1.o melee2.o files.o \
+  cmd1.o cmd2.o cmd3.o cmd4.o cmd5.o cmd6.o \
+  store.o birth.o save.o load.o \
+  wizard1.o wizard2.o \
+  generate.o dungeon.o init1.o init2.o randart.o \
+  main-ros.o main.o \
+  script.o tables.o \
+  l-monst.o l-object.o l-player.o l-random.o l-ui.o l-misc.o l-spell.o \
+  $(LUAOBJS)
 
 # Borg object files:
+BOBJS = borg1.o borg2.o borg3.o borg4.o borg5.o borg6.o borg7.o \
+	borg8.o borg9.o
 
-BOBJS = \
-	borg1.o borg2.o borg3.o borg4.o borg5.o borg6.o borg7.o \
-	borg8.o borg9.o $(OBJS)
-
+# A standard compile
 compile: ^.!RunImage lua/tolua
 
 # The normal !RunImage:
-^.!RunImage:	$(OBJS) $(LIBS)
+^.!RunImage:	$(LUAPKGS) $(OBJS) $(LIBS)
 		$(LD) $(LDFLAGS) -o !RunImage $(OBJS) $(LIBS)
 		$(SQ) $(SQFLAGS) !RunImage ^.!RunImage
 		$(RM) !RunImage
 
 # The Borg RunImage
-^.!RunImageB:	$(BOBJS) $(LIBS)
+^.!RunImageB:	$(LUAPKGS) $(OBJS) $(BOBJS) $(LIBS)
 		$(LD) $(LDFLAGS) -o !RunImage $(BOBJS) $(LIBS)
 		$(SQ) $(SQFLAGS) !RunImageB ^.!RunImageB
 		$(RM) !RunImageB
 
 # tolua
 lua/tolua: $(TOLUAOBJS)
 	$(LD) -o lua.tolua $(TOLUAOBJS) $(LDFLAGS) $(LIBS)
-         
+
+# Lua packages
+l-monst.c: $(tolua) pkg.l-monst
+	$(tolua) -n monster -o @.c.l-monst pkg.l-monst
+
+l-object.c: $(tolua) pkg.l-object
+	$(tolua) -n object -o c.l-object pkg.l-object
+
+l-player.c: $(tolua) pkg.l-player
+	$(tolua) -n player -o c.l-player pkg.l-player
+
+l-random.c: $(tolua) pkg.l-random
+	$(tolua) -n random -o c.l-random pkg.l-random
+
+l-ui.c: $(tolua) pkg.l-ui
+	$(tolua) -n ui -o c.l-ui pkg.l-ui
+
+l-misc.c: $(tolua) pkg.l-misc
+	$(tolua) -n misc -o c.l-misc pkg.l-misc
+
+l-spell.c: $(tolua) pkg.l-spell
+	$(tolua) -n spell -o c.l-spell pkg.l-spell   
+
+# Suffix rules
 .SUFFIXES: .o .c
 
+# Hack to remove compiler crashes
 object2.o:
 	$(CC) -Ospace $(CCFLAGS) -c -o object2.o object2.c
 
 monster2.o:
 	$(CC) -Ospace $(CCFLAGS) -c -o monster2.o monster2.c
 
-.c.o:;	$(CC) -Otime $(CCFLAGS) -c -o $@ $<
+# A basic rule
+.c.o:;	$(CC) -DMULT_RET=255 -Otime $(CCFLAGS) -c -o $@ $<
 
 # Dynamic dependencies:
+
Only in src/: Makefile.std
Only in src/: Makefile.wat
Only in src/: Makefile.win
Only in src/: angband.h
Only in src/: angband.ico
Only in src/: angband.rc
Only in src/: autoconf.h.in
Only in src/: birth.c
Only in src/: cave.c
Only in src/: cmd1.c
Only in src/: cmd2.c
Only in src/: cmd3.c
Only in src/: cmd4.c
Only in src/: cmd5.c
Only in src/: cmd6.c
diff --recursive --unified=5 src/externs.h src-riscos/externs.h
--- src/externs.h	Wed May 15 18:45:30 2002
+++ src-riscos/externs.h	Thu May 30 18:03:00 2002
@@ -786,5 +786,10 @@
 
 #ifdef GJW_RANDART
 /* randart.c */
 extern errr do_randart(u32b randart_seed, bool full);
 #endif /* GJW_RANDART */
+
+#ifdef ACORN
+/* main-ros.c */
+extern char *riscosify_name(cptr path);
+#endif /* ACORN */
Only in src/: files.c
